Subject: Re: [PATCH] tcp FRTO: in-order-only "TCP proxy" fragility workaround (fwd)

From: Dâniel Fraga <[email-masked]>
Date: Wed, 1 Oct 2008 17:46:37 -0300

On Wed, 1 Oct 2008 22:05:09 +0200 (CEST)
Thomas Gleixner <[email-masked]> wrote:

> Lots of things related to timers changed over the last kernel
> versions, but the big changes were 2.6.21 for 32bit and 2.6.24 for
> 64bit, where the high resolution timer were enabled. Since then we
> have only bigfixes and improvements in the timer related code. 2.6.25
> has no fundamental changes in the timer code at all.
> 
> I think your observation vs. ntpd and hrtimer is just a red
> herring. It influences the visibility of the problem by shifting
> timings around, but it does not pinpoint them as the root cause.
> 
> I might be wrong as usual, but in that case I insist on "in dubio pro
> reo". :)

	Ok :) I understand your point ;).

> One possibility to get deeper insight into this problem is to use the
> function tracer and stop it once we notice the wreckage. 
> listenoverflow should be a good point to stop it.

	Ok. I'll do it and return the results.

[*] Kernel Function Tracer

	Thank you very much! :)

	Ps: if we figure it out soon, maybe we can solve this before
2.6.27 final release since Linus said that rc8 would be the last one.

--